JsonNodeCreator
Date: 2016-12-04

com.fasterxml.jackson.databind.node

## Interface JsonNodeCreator

- All Known Implementing Classes:
    ArrayNode, ContainerNode, JsonNodeFactory, ObjectNode

      public interface JsonNodeCreator

  Interface that defines common "creator" functionality implemented both by `JsonNodeFactory` and `ContainerNode` (that is, JSON Object and Array nodes).
  Since:
    2.3

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ArrayNode` | `arrayNode()`
    `ArrayNode` | `arrayNode(int capacity)` Factory method for constructing a JSON Array node with an initial capacity
    `ValueNode` | `binaryNode(byte[] data)`
    `ValueNode` | `binaryNode(byte[] data, int offset, int length)`
    `ValueNode` | `booleanNode(boolean v)`
    `ValueNode` | `nullNode()`
    `ValueNode` | `numberNode(java.math.BigDecimal v)`
    `ValueNode` | `numberNode(java.math.BigInteger v)`
    `ValueNode` | `numberNode(byte v)`
    `ValueNode` | `numberNode(java.lang.Byte value)`
    `ValueNode` | `numberNode(double v)`
    `ValueNode` | `numberNode(java.lang.Double value)`
    `ValueNode` | `numberNode(float v)`
    `ValueNode` | `numberNode(java.lang.Float value)`
    `ValueNode` | `numberNode(int v)`
    `ValueNode` | `numberNode(java.lang.Integer value)`
    `ValueNode` | `numberNode(long v)`
    `ValueNode` | `numberNode(java.lang.Long value)`
    `ValueNode` | `numberNode(short v)`
    `ValueNode` | `numberNode(java.lang.Short value)`
    `ObjectNode` | `objectNode()`
    `ValueNode` | `pojoNode(java.lang.Object pojo)`
    `ValueNode` | `rawValueNode(RawValue value)` Factory method to use for adding "raw values"; pre-encoded values that are included exactly as-is when node is serialized.
    `ValueNode` | `textNode(java.lang.String text)`

- - ### Method Detail

    - #### booleanNode

          ValueNode booleanNode(boolean v)

    - #### nullNode

          ValueNode nullNode()

    - #### numberNode

          ValueNode numberNode(byte v)

    - #### numberNode

          ValueNode numberNode(java.lang.Byte value)

    - #### numberNode

          ValueNode numberNode(short v)

    - #### numberNode

          ValueNode numberNode(java.lang.Short value)

    - #### numberNode

          ValueNode numberNode(int v)

    - #### numberNode

          ValueNode numberNode(java.lang.Integer value)

    - #### numberNode

          ValueNode numberNode(long v)

    - #### numberNode

          ValueNode numberNode(java.lang.Long value)

    - #### numberNode

          ValueNode numberNode(java.math.BigInteger v)

    - #### numberNode

          ValueNode numberNode(float v)

    - #### numberNode

          ValueNode numberNode(java.lang.Float value)

    - #### numberNode

          ValueNode numberNode(double v)

    - #### numberNode

          ValueNode numberNode(java.lang.Double value)

    - #### numberNode

          ValueNode numberNode(java.math.BigDecimal v)

    - #### textNode

          ValueNode textNode(java.lang.String text)

    - #### binaryNode

          ValueNode binaryNode(byte[] data)

    - #### binaryNode

          ValueNode binaryNode(byte[] data,
                             int offset,
                             int length)

    - #### pojoNode

          ValueNode pojoNode(java.lang.Object pojo)

    - #### rawValueNode

          ValueNode rawValueNode(RawValue value)

      Factory method to use for adding "raw values"; pre-encoded values that are included exactly as-is when node is serialized. This may be used, for example, to include fully serialized JSON sub-trees. Note that the concept may not work with all backends, and since no translation of any kinds is done it will not work when converting between data formats.
      Since:
        2.6

    - #### arrayNode

          ArrayNode arrayNode()

    - #### arrayNode

          ArrayNode arrayNode(int capacity)

      Factory method for constructing a JSON Array node with an initial capacity
      Since:
        2.8

    - #### objectNode

          ObjectNode objectNode()